import greenfoot.*;
public class Snake extends Actor
{
    Snake previous;
    public Snake(Snake previous){
        this.previous = previous;
        setImage(new GreenfootImage(Game.SCALE - 2, Game.SCALE - 2));
        getImage().setColor(Color.WHITE);
        getImage().fill();
    }
    public void update(){
        if(previous!=null){
            setLocation(previous.getX(), previous.getY());
            previous.update();
        }
    }
    public Snake extend(){
        Snake tail = new Snake(this);
        getWorld().addObject(tail, getX(), getY());
        return tail;
    }
    public int size(){
        if(previous==null)return 1;
        return previous.size() + 1;
    }
}